Create drop point
POST
/drop_points
const url = 'https://example.com/drop_points';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","billing_address":{"street":"example","postal_code":"example","city":"example","region":"example","country":"example","latitude":1,"longitude":1},"billing_email":"example","shipping_address":{"street":"example","postal_code":"example","city":"example","region":"example","country":"example","latitude":1,"longitude":1},"shipping_email":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/drop_points \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "billing_address": { "street": "example", "postal_code": "example", "city": "example", "region": "example", "country": "example", "latitude": 1, "longitude": 1 }, "billing_email": "example", "shipping_address": { "street": "example", "postal_code": "example", "city": "example", "region": "example", "country": "example", "latitude": 1, "longitude": 1 }, "shipping_email": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
billing_address
Any of:
Any of:
object
null
null
null
shipping_address
Any of:
Any of:
object
null
null
null
Example generated
{ "name": "example", "billing_address": { "street": "example", "postal_code": "example", "city": "example", "region": "example", "country": "example", "latitude": 1, "longitude": 1 }, "billing_email": "example", "shipping_address": { "street": "example", "postal_code": "example", "city": "example", "region": "example", "country": "example", "latitude": 1, "longitude": 1 }, "shipping_email": "example"}Responses
Section titled “ Responses ” Media type application/json
object
id
required
string
name
required
string
billing_address
required
object
latitude
required
shipping_address
required
object
latitude
required
settings
required
object
acceptable_skus
required
Any of:
Array<string>
null
Example
{ "billing_address": { "latitude": "NaN", "longitude": "NaN" }, "shipping_address": { "latitude": "NaN", "longitude": "NaN" }}